# test number 13 successfully runs against nodejs-4.x.x only
%global enable_tests 0
%global module_name duplexer3

Name:           nodejs-%{module_name}
Version:        0.1.4
Release:        3%{?dist}
Summary:        Like duplexer but using streams3

License:        BSD
URL:            https://github.com/floatdrop/duplexer3
Source0:        https://github.com/floatdrop/duplexer3/archive/v%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
%endif

%description
This is a reimplementation of duplexer using the Streams3 API which is
standard in Node as of v4. Everything largely works the same.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{__nodejs} -e 'require("./")'
%nodejs_symlink_deps --check
mocha -R tap
%endif

%files
%doc README.md 
%license LICENSE.md
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.1.4-1
- Initial packaging

